## Contents

- Properties

class solace.SolaceError extends Error

This class is not exposed for construction by API users. The base class for all errors thrown by the API.

## Constructor Top

| SolaceError ( ) |  |

## Properties Top

String | message |  |
String | name |  |

## Constructor details Top

###
SolaceError ( )

This class is not exposed for construction by API users. The base class for all errors thrown by the API.

## Properties Detail Top

###
public String message

Error Message.

###
public String name

The name of the error.